<?php
/*
 * Tutorial: How to Hook a Function to an Action in WordPress
 * URL: https://www.rafaelcardero.com/tutorials/how-to-hook-a-function-to-an-action-in-wordpress/
 */

/* -----------------------------------------------------------------------------
 * - Example
 * ---------------------------------------------------------------------------*/

/*
 * Sends an email to the website administrator notifying that a post has been updated.
 */
function ns_notify_post_updated($post_ID){
    
    $to = get_bloginfo('admin_email');
    $subject = __('Post Updated', 'ns');
    $message = __('Hello Admin! The following post has been updated: ', 'ns') . get_permalink($post_ID);
    wp_mail($to, $subject, $message);
}
add_action('post_updated', 'ns_notify_post_updated', 10, 1);

/* -----------------------------------------------------------------------------
 * - Exercise
 * ---------------------------------------------------------------------------*/

/*
 * Sends an email to the website administrator notifying that an attachment 
 * has been added.
 */
function ns_notify_attachment_added($post_ID){
    
    $to = get_bloginfo('admin_email');
    $subject = __('Attachment Added', 'ns');
    $message = __('Hello Admin! The following attachment has been added: ', 'ns') . get_permalink($post_ID);
    wp_mail($to, $subject, $message);
}
add_action('add_attachment', 'ns_notify_attachment_added', 10, 1);